package com.bankaudit.dto.process;

import java.util.Date;
 
public class LettersDto {

	private Integer legalEntityCode;
	private String auditId;
	private String auditTypeCode;
	private String letterCode;
	private String letterDesc;
	private String status;
	private String gradingStatus;
	private String gradingStatusRO;
	private String gradingStatusHO;
	private String maker;
	private String reviewer;
	private String unitId;
	private String unitName;
	private String parentUnitCodeName;
	private String unitType ;
	private String auditStatus;
	private String reportStatus;
	private String planId;
	private String observationStatus;
	private String letterType;
	private Date financialYear;
	private String[] team;
	private String gradingComplianceStatus;	
	private String gradingROComplianceStatus; 
	private String gradingHOComplianceStatus;
	private String makerName;
	private String reviewerName;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getLetterCode() {
		return letterCode;
	}
	public void setLetterCode(String letterCode) {
		this.letterCode = letterCode;
	}
	public String getLetterDesc() {
		return letterDesc;
	}
	public void setLetterDesc(String letterDesc) {
		this.letterDesc = letterDesc;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getGradingStatus() {
		return gradingStatus;
	}
	public void setGradingStatus(String gradingStatus) {
		this.gradingStatus = gradingStatus;
	}	
	public String getGradingStatusRO() {
		return gradingStatusRO;
	}
	public void setGradingStatusRO(String gradingStatusRO) {
		this.gradingStatusRO = gradingStatusRO;
	}
	public String getGradingStatusHO() {
		return gradingStatusHO;
	}
	public void setGradingStatusHO(String gradingStatusHO) {
		this.gradingStatusHO = gradingStatusHO;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public String getReviewer() {
		return reviewer;
	}
	public void setReviewer(String reviewer) {
		this.reviewer = reviewer;
	}
	 
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}	 
	public String getParentUnitCodeName() {
		return parentUnitCodeName;
	}
	public void setParentUnitCodeName(String parentUnitCodeName) {
		this.parentUnitCodeName = parentUnitCodeName;
	}
	public String getUnitType() {
		return unitType;
	}
	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}
	public String getAuditStatus() {
		return auditStatus;
	}
	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}
	public String getReportStatus() {
		return reportStatus;
	}
	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public String getObservationStatus() {
		return observationStatus;
	}
	public void setObservationStatus(String observationStatus) {
		this.observationStatus = observationStatus;
	}
	public String getLetterType() {
		return letterType;
	}
	public void setLetterType(String letterType) {
		this.letterType = letterType;
	}
	public Date getFinancialYear() {
		return financialYear;
	}
	public void setFinancialYear(Date financialYear) {
		this.financialYear = financialYear;
	}
	public String[] getTeam() {
		return team;
	}
	public void setTeam(String[] team) {
		this.team = team;
	}
	public String getGradingComplianceStatus() {
		return gradingComplianceStatus;
	}
	public void setGradingComplianceStatus(String gradingComplianceStatus) {
		this.gradingComplianceStatus = gradingComplianceStatus;
	}
	public String getGradingROComplianceStatus() {
		return gradingROComplianceStatus;
	}
	public void setGradingROComplianceStatus(String gradingROComplianceStatus) {
		this.gradingROComplianceStatus = gradingROComplianceStatus;
	}
	public String getGradingHOComplianceStatus() {
		return gradingHOComplianceStatus;
	}
	public void setGradingHOComplianceStatus(String gradingHOComplianceStatus) {
		this.gradingHOComplianceStatus = gradingHOComplianceStatus;
	}
	public String getMakerName() {
		return makerName;
	}
	public void setMakerName(String makerName) {
		this.makerName = makerName;
	}
	public String getReviewerName() {
		return reviewerName;
	}
	public void setReviewerName(String reviewerName) {
		this.reviewerName = reviewerName;
	}
	  
}
